sasl_chalprompt_t(3)

NAME
sasl_chalprompt_t - Realm Acquisition Callback

SYNOPSIS
#include <sasl/sasl.h>

int sasl_chalprompt_t(void *context, int id,
			   const char *challenge,
                      const char *prompt, const char *defresult,
                      const char **result, unsigned *len)

DESCRIPTION
sasl_chalprompt_t is used to prompt for input in response to a server challenge. context context from the callback record id callback id (either SASL_CB_ECHOPROMPT or SASL_CB_NOECHOPROMPT) challenge the server's challenge prompt A prompt for the user defresult Default result (may be NULL) result The user's response (a NUL terminated string) len Length of the user's response.

RETURN VALUE
SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

SEE ALSO
sasl(3), sasl_callbacks(3)